# Uses of Class
org.apache.sysds.utils.Explain.ExplainCounts

Packages that use Explain.ExplainCounts
Package
Description
org.apache.sysds.utils

## Uses of Explain.ExplainCounts in org.apache.sysds.utils

Methods in org.apache.sysds.utils that return Explain.ExplainCounts
Modifier and Type
Method
Description
`static Explain.ExplainCounts`
Explain.`countDistributedOperations(Program rtprog)`
Counts the number of compiled MRJob/Spark instructions in the given runtime program.
Methods in org.apache.sysds.utils with parameters of type Explain.ExplainCounts
Modifier and Type
Method
Description
`static String`
Explain.`display(DMLProgram prog, Program rtprog, Explain.ExplainType type, Explain.ExplainCounts counts)`
`static String`
Explain.`explain(DMLProgram prog, Program rtprog, Explain.ExplainType type, Explain.ExplainCounts counts)`
`static String`
Explain.`explain(Program rtprog, Explain.ExplainCounts counts)`
`static String`
Explain.`explainDegreeOfParallelism(Explain.ExplainCounts counts)`
`static String`
Explain.`explainMemoryBudget(Explain.ExplainCounts counts)`